[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_eldraw' (#crwlib)

# TSmartBitmap

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_eldraw.pas line 476

`type TSmartBitmap = class(TMasterObject)`
`protected`
`function CheckOk; override;`
`public`
`constructor Create;`
`destructor Destroy; override;`
`function Clone;`
`procedure Assign();`
`procedure LoadFromFile();`
`function CreateBitmap;`
`procedure Draw();`
`function GetRect();`
`function ExposedInsideOf();`
`property Source: LongString; [rw]`
`property Title: LongString; [rw]`
`property Ident: Integer; [rw]`
`property Width: Integer; [r]`
`property Height: Integer; [r]`
`end;`

## Inheritance

`TSmartBitmap`
`TMasterObject`
`TObject`